%define srcname         WindowMaker
%define _pixdir         %{_datadir}/pixmaps
%define gnustepdir      %{_datadir}/GNUstep
%define wmsysdir        %{_sysconfdir}/X11/WindowMaker
%define wmdatdir        %{_datadir}/WindowMaker
%define wmdefdir        %{wmdatdir}/Defaults

%define major           6
%define libwraster      %mklibname wraster %{major}
%define libwrasterdev   %mklibname wraster -d

%define wgsmajor        3
%define libwgsname      %mklibname wings %{wgsmajor}
%define libwgsnamedev   %mklibname wings -d

%define wutmajor        5
%define libwutname      %mklibname wutil %{wutmajor}
%define libwutnamedev   %mklibname wutil -d

%define wmkmajor        1
%define libwmkname      %mklibname wmaker %{wmkmajor}
%define libwmknamedev   %mklibname wmaker -d

Name:           windowmaker
Version:        0.96.0
Release:        %mkrel 4
Summary:        A window manager for the X Window System
License:        GPLv2+
Group:          Graphical desktop/WindowMaker

URL:            https://windowmaker.org/
%dnl Source0:        https://windowmaker.org/pub/source/release/%{srcname}-%{version}.tar.gz
Source0:        https://github.com/window-maker/wmaker/releases/download/wmaker-%{version}/WindowMaker-%{version}.tar.gz
Source1:        addxdgsupport.bash
Source2:        startwindowmaker
Source3:        WindowMaker.desktop
Source4:        autostart.sh.mga
Source5:        WMState.mga
Source6:        WMWindowAttributes.mga
Source7:        WindowMaker.mga

# Fixes
# (cjw) try to implement _NET_WM_MOVERESIZE events, required by gtk+3 (though that appears to be a bug)
#Patch0:         windowmaker-0.95.7-net_wm_moveresize.patch

# Reconfiguration
Patch100:       %{name}-0.95.4-mga-use-xdg-menu-extension.patch

# Upstream work from the next branch

Requires:       desktop-common-data
Requires:       xdg-compliance-menu
Requires:       task-x11

BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  libhermes-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  mawk
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(libexif)

Requires:       default-windowmaker-desktop
Recommends:     mageia-windowmaker-desktop
Conflicts:      desktop-common-data < 1:3.10-2

%description
Window Maker is a X11 window manager which emulates the look and feel of the
NeXTSTEP (TM) graphical user interface. It is relatively fast, feature rich and
easy to configure and use. Window Maker is part of the official GNU project,
which means that Window Maker can interoperate with other GNU projects, such as
GNOME. Window Maker allows users to switch themes on the fly, to place favorite
applications on either an application dock, similar to AfterStep's Wharf or on
a workspace dock, a 'clip' which extends the application dock's usefulness.

%package -n %{libwraster}
Summary:        Window Maker Raster Graphics Library
Group:          Graphical desktop/WindowMaker
Conflicts:      %{_lib}wraster < 0.95
Provides:       %{_lib}wraster2 = %{version}-%{release}
Obsoletes:      %{_lib}wraster2 < 0.95

%description -n %{libwraster}
Also known as libwraster, it is WindowMaker's core graphics and image
processing system. libwraster is an optimized, fast, lightweight image library.
It takes advantage of MMX optimizations (on systems that have support for it)
to accelerate rendering. You can load a picture from a file easily with
libwraster, and it has support for .gif, .jpg, .png, .xpm, .ppm, and .tiff at
the moment. Support for other image formats can be added in the future.

%package -n %{libwrasterdev}
Summary:        Window Maker Raster Graphics Library development files
Group:          Development/C
Requires:       %{libwraster} = %{version}-%{release}
Provides:       libwraster-devel = %{version}-%{release}
Conflicts:      libwraster2-devel < 0.95

%description -n %{libwrasterdev}
This package allows building applications using the libwraster library.

%package -n %{libwgsname}
Summary:        Libraries for Window Maker widgets
Group:          System/Libraries

%description -n %{libwgsname}
%{summary}.

%package -n %{libwgsnamedev}
Summary:        Development files for the Window Maker widgets
Group:          Development/C
Requires:       %{libwgsname} = %{version}-%{release}
Provides:       libwings-devel = %{version}-%{release}

%description -n %{libwgsnamedev}
%{summary}.

%package -n %{libwutname}
Summary:        Libraries for Window Maker utilities
Group:          System/Libraries

%description -n %{libwutname}
%{summary}.

%package -n %{libwutnamedev}
Summary:        Development files for the Window Maker utilities
Group:          Development/C
Requires:       %{libwutname} = %{version}-%{release}
Provides:       libwutil-devel = %{version}-%{release}

%description -n %{libwutnamedev}
%{summary}.

%package -n %{libwmkname}
Summary:        Libraries for Window Maker programming interface
Group:          System/Libraries

%description -n %{libwmkname}
%{summary}.

%package -n %{libwmknamedev}
Summary:        Development files for the Window Maker programming interface
Group:          Development/C
Requires:       %{libwmkname} = %{version}-%{release}
Requires:       %{libwrasterdev} = %{version}-%{release}
Requires:       %{libwgsnamedev} = %{version}-%{release}

%description -n %{libwmknamedev}
%{summary}.

%package -n default-%{name}-desktop
Summary:        Default Window Maker desktop
Group:          Graphical desktop/WindowMaker
Conflicts:      %{name} < 0.95.3-0.snapshot20120330.4
Requires:       windowmaker
BuildArch:      noarch

%description -n default-%{name}-desktop
Default config files for the Window Maker desktop.

%package -n %{_real_vendor}-%{name}-desktop
Summary:        %{_vendor} Window Maker desktop
Group:          Graphical desktop/WindowMaker
Conflicts:      %{name} < 0.95.3-0.snapshot20120330.4
Requires:       windowmaker
Requires:       windowmaker-theme-mageia
Requires:       wmcalclock
Requires:       wmudmount
Requires:       wmsystemtray
Requires:       pulseaudio-utils
Requires:       gvolwheel
Requires:       drakx-net-applet
Requires:       mate-polkit
BuildArch:      noarch

%description -n %{_real_vendor}-%{name}-desktop
%{_vendor} enhanced config files for the Window Maker desktop.

%prep
%setup -q -n %{srcname}-%{version}
#patch -P 0 -p1 -b .netwm-moveresize
%patch -P 100 -p0
cp %{SOURCE1} WindowMaker/addxdgsupport.bash

%build
#xdg support in menu
pushd WindowMaker
./addxdgsupport.bash
popd #WindowMaker

# protect the WPrefs.app location for unclean build envs with gnustep-make installed
unset GNUSTEP_LOCAL_ROOT

LINGUAS=`(cd po ; echo *.po | sed 's/.po//g')`
export LINGUAS
autoreconf -fi
%configure \
    --prefix=%{_prefix} \
    --enable-static=no \
    --sysconfdir=%{_sysconfdir}/X11 \
    --localedir=%{_datadir}/locale \
    --with-pixmapdir=%{_pixdir} \
    --with-gnustepdir=%{gnustepdir} \
    --enable-xinerama \
    --enable-usermenu \
    --enable-pango \
    --disable-randr \
    --with-pic \
    --with-x

%make_build

%install
%make_install

chmod 755 %{buildroot}%{_datadir}/WindowMaker/exitscript.sh

install -D -m 755 %{SOURCE2} %{buildroot}%{_bindir}/startwindowmaker
install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/WindowMaker.desktop

%find_lang WindowMaker --all-name --with-man

# install mageia-windowmaker-desktop files
install -D -m 755 %{S:4} %{buildroot}%{wmdatdir}/autostart.sh
install -D -m 644 %{S:5} %{buildroot}%{wmdefdir}/WMState
install -D -m 644 %{S:6} %{buildroot}%{wmdefdir}/WMWindowAttributes
install -D -m 644 %{S:7} %{buildroot}%{wmdefdir}/WindowMaker

# add compat symlink for WPrefs needed by WPrefs.desktop Exec (mga#33986)
ln -s %{gnustepdir}/Applications/WPrefs.app/WPrefs %{buildroot}%{_bindir}/WPrefs

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/03WindowMaker.desktop ]; then
        rm -rf %{_datadir}/xsessions/03WindowMaker.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/03WindowMaker.desktop ]; then
        rm -rf %{_sysconfdir}/X11/dm/Sessions/03WindowMaker.desktop
fi

%files -f WindowMaker.lang
%doc AUTHORS BUGFORM BUGS ChangeLog FAQ NEWS README* TODO
%license COPYING.WTFPL
%{_bindir}/*
%{_datadir}/xsessions/WindowMaker.desktop
%dir %{gnustepdir}
%{gnustepdir}/Applications/WPrefs.app
%{_mandir}/man[18]/*
%dir %{wmdatdir}
%{_datadir}/WindowMaker/README*
%{_datadir}/WindowMaker/*menu*
%{_datadir}/WindowMaker/exitscript.sh
%{_datadir}/WindowMaker/wmmacros
%{_datadir}/WindowMaker/Backgrounds
%{_datadir}/WindowMaker/IconSets
%{_datadir}/WindowMaker/Icons
%{_datadir}/WindowMaker/Pixmaps
%{_datadir}/WindowMaker/Styles
%{_datadir}/WindowMaker/Themes
%{_datadir}/WINGs/
%{_datadir}/applications/WPrefs.desktop
%{_datadir}/xsessions/wmaker.desktop

%files -n %{libwraster}
%{_libdir}/libwraster.so.%{major}{,.*}

%files -n %{libwrasterdev}
%{_includedir}/wraster.h
%{_libdir}/libwraster.so
%{_libdir}/pkgconfig/wrlib.pc

%files -n %{libwgsname}
%{_libdir}/libWINGs.so.%{wgsmajor}{,.*}

%files -n %{libwgsnamedev}
%{_libdir}/libWINGs.so
%{_includedir}/WINGs
%{_libdir}/pkgconfig/WINGs.pc

%files -n %{libwutname}
%{_libdir}/libWUtil.so.%{wutmajor}{,.*}

%files -n %{libwutnamedev}
%{_libdir}/libWUtil.so
%{_libdir}/pkgconfig/WUtil.pc

%files -n %{libwmkname}
%{_libdir}/libWMaker.so.%{wmkmajor}{,.*}

%files -n %{libwmknamedev}
%{_includedir}/WMaker.h
%{_libdir}/libWMaker.so
%{_libdir}/pkgconfig/wmlib.pc

%files -n default-%{name}-desktop
%dir %{wmsysdir}
%config(noreplace)%{wmsysdir}/WMGLOBAL
%config(noreplace)%{wmsysdir}/WMRootMenu
%config(noreplace)%{wmsysdir}/WMState
%config(noreplace)%{wmsysdir}/WMWindowAttributes
%config(noreplace)%{wmsysdir}/WindowMaker

%files -n %{_real_vendor}-%{name}-desktop
%dir %{wmdefdir}
%{wmdatdir}/autostart.sh
%{wmdefdir}/WMState
%{wmdefdir}/WMWindowAttributes
%{wmdefdir}/WindowMaker


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.96.0-4.mga10
+ Revision: 2235681
- Mageia 10 Mass Rebuild

* Thu Feb 06 2025 daviddavid <daviddavid> 0.96.0-3.mga10
+ Revision: 2145689
- add compat symlink for WPrefs needed by WPrefs.desktop Exec (mga#33986)

* Sun Dec 22 2024 pterjan <pterjan> 0.96.0-2.mga10
+ Revision: 2128269
- Rebuild for patchN deprecation

* Tue Oct 10 2023 kekepower <kekepower> 0.96.0-1.mga10
+ Revision: 1994186
- Update to version 0.96.0

* Sat Jan 07 2023 kekepower <kekepower> 0.95.9-8.mga9
+ Revision: 1930875
- Add upstream patch to fix segfault on right-click sweep of menu

* Mon Dec 12 2022 ns80 <ns80> 0.95.9-7.mga9
+ Revision: 1921145
- rebuild for new libtiff

* Thu Mar 31 2022 umeabot <umeabot> 0.95.9-6.mga9
+ Revision: 1837150
- Mageia 9 Mass Rebuild

* Wed Dec 29 2021 wally <wally> 0.95.9-5.mga9
+ Revision: 1765286
- rebuild for imagemagick 7.0.11.14

* Sat Feb 27 2021 neoclust <neoclust> 0.95.9-4.mga9
+ Revision: 1692894
- Rebuild against new imagemagick

* Mon Nov 16 2020 kekepower <kekepower> 0.95.9-3.mga8
+ Revision: 1646572
- Rebuild for new Imagemagick lib major
+ ovitters <ovitters>
- fix usage of  in posttrans

* Fri Jun 12 2020 kekepower <kekepower> 0.95.9-2.mga8
+ Revision: 1592711
- Add latest upstream patches from git
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sun Apr 05 2020 kekepower <kekepower> 0.95.9-1.mga8
+ Revision: 1565009
- Update to version 0.95.9

* Sat Feb 15 2020 umeabot <umeabot> 0.95.8-6.mga8
+ Revision: 1526497
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed May 22 2019 cjw <cjw> 0.95.8-5.mga7
+ Revision: 1398857
- make startwindowmaker recognizable as shell script so packaged copy is executable

* Sun Sep 23 2018 umeabot <umeabot> 0.95.8-4.mga7
+ Revision: 1301668
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 0.95.8-3.mga7
+ Revision: 1235598
- drop unneeded BR libPropList-devel

* Fri Sep 22 2017 cjw <cjw> 0.95.8-2.mga7
+ Revision: 1157085
- fix build with new find_lang

* Mon Apr 03 2017 eatdirt <eatdirt> 0.95.8-1.mga6
+ Revision: 1095856
- Upgrade to version 0.95.8

* Fri Feb 24 2017 wally <wally> 0.95.7-3.mga6
+ Revision: 1087696
- remove generated xsession .desktop file leftovers also from /etc/X11/dm/Sessions

* Thu Jan 07 2016 luigiwalser <luigiwalser> 0.95.7-2.mga6
+ Revision: 920412
- rebuild for giflib

* Mon Sep 28 2015 eatdirt <eatdirt> 0.95.7-1.mga6
+ Revision: 884901
- Upgrade to version 0.95.7

* Sun Sep 27 2015 wally <wally> 0.95.5-7.mga6
+ Revision: 884275
- ensure windowmaker is installed after desktop-common-data without fndSession

* Sun Sep 27 2015 wally <wally> 0.95.5-6.mga6
+ Revision: 884266
- switch to xsession .desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.95.5-5.mga5
+ Revision: 742854
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.95.5-4.mga5
+ Revision: 690314
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Tue Oct 22 2013 umeabot <umeabot> 0.95.5-3.mga4
+ Revision: 545195
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 eatdirt <eatdirt> 0.95.5-2.mga4
+ Revision: 500898
- Switching from gnome-polkit to mate-polkit

* Tue Sep 24 2013 eatdirt <eatdirt> 0.95.5-1.mga4
+ Revision: 485500
- Upgrade to version 0.95.5

* Wed Aug 28 2013 eatdirt <eatdirt> 0.95.4-12.mga4
+ Revision: 472511
- Oops, source files not synced for non-understood reason

* Wed Aug 28 2013 eatdirt <eatdirt> 0.95.4-11.mga4
+ Revision: 472501
- Fix missing icon and applet for mageia desktop

* Fri Aug 23 2013 eatdirt <eatdirt> 0.95.4-10.mga4
+ Revision: 469952
- Fix wrong path in autostart files

* Thu Aug 22 2013 eatdirt <eatdirt> 0.95.4-9.mga4
+ Revision: 469258
- Fix doubly packaged files and starting scripts

* Wed Aug 21 2013 eatdirt <eatdirt> 0.95.4-8.mga4
+ Revision: 468907
- Fix path for WPrefs.app

* Wed Aug 21 2013 eatdirt <eatdirt> 0.95.4-7.mga4
+ Revision: 468648
- Clean configuration files and spec to fix #10585

* Sun Jun 02 2013 fwang <fwang> 0.95.4-6.mga4
+ Revision: 434705
- rebuild for new libpng

* Fri Feb 08 2013 kamil <kamil> 0.95.4-5.mga3
+ Revision: 397024
- stop requiring gcc-cpp (mga#9000 - 'windowmaker no longer needs cpp' as it has now a built-in menu parser - thanks Zoltan Balton for reporting it)

* Mon Jan 14 2013 umeabot <umeabot> 0.95.4-4.mga3
+ Revision: 385700
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 0.95.4-3.mga3
+ Revision: 344563
- fix annoying y* files in ~

* Sat Jan 05 2013 kamil <kamil> 0.95.4-2.mga3
+ Revision: 339108
- mark *-windowmaker-desktop as noarch
- use generic macros %%{name}
- rediff mga-Mageia-preconfigured-desktop.patch (as P101) and apply
- rediff P101: remove util/wmaker.inst.in part (excluded previously as P100)
- add old original patch P101: windowmaker-0.95.2-mga-Mageia-preconfigured-desktop.patch
- move mageia-windowmaker-desktop and default-windowmaker-desktop to this core package

* Sat Jan 05 2013 kamil <kamil> 0.95.4-1.mga3
+ Revision: 338883
- reorder patches
- remove P3 (not needed anymore - partly excluded and separated as P100)
- add P100: mga-use-xdg-menu-extension.patch
- fix %%files
- remove P0
- add P1: windowmaker-0.95.4-mga-fix-wmlib-linking.patch
- drop P1 (mga-fix-build-with-automake-1.13.patch) - merged upstream
- new version 0.95.4

* Thu Jan 03 2013 kamil <kamil> 0.95.3-2.mga3
+ Revision: 337990
- add P1: mga-fix-build-with-automake-1.13.patch

* Sun Jun 24 2012 kamil <kamil> 0.95.3-1.mga3
+ Revision: 262969
- stop fixing misspelling in menu.fr (it was mga#4022), fixed upstream
- update snapshot version (it points the final release)
- disable xrandr feature (it's unstable)
- new stable version 0.95.3

* Thu Apr 19 2012 kamil <kamil> 0.95.3-0.snapshot20120330.6.mga2
+ Revision: 231864
- fix an incorrect spelling in menu.fr (mga#4022)

* Fri Apr 13 2012 kamil <kamil> 0.95.3-0.snapshot20120330.5.mga2
+ Revision: 230725
- drop requirement on themes in this package and move them to mageia-windowmaker-desktop

* Sun Apr 01 2012 kamil <kamil> 0.95.3-0.snapshot20120330.4.mga2
+ Revision: 227656
- exclude desktop configuration from this package and ship it as a stand-alone package

* Fri Mar 30 2012 kamil <kamil> 0.95.3-0.snapshot20120330.3.mga2
+ Revision: 227584
- add a missing suggestion for gvolwheel

* Fri Mar 30 2012 kamil <kamil> 0.95.3-0.snapshot20120330.2.mga2
+ Revision: 227575
- rediff Mageia-preconfigured-desktop.patch to execute polkit-gnome-authentication-agent-1 in autostart.sh

* Fri Mar 30 2012 kamil <kamil> 0.95.3-0.snapshot20120330.1.mga2
+ Revision: 227561
- update to the newest snapshot
- disable rarely used build of reincluded wmlib into the sources (linkage problems)

* Sun Feb 26 2012 kamil <kamil> 0.95.3-0.snapshot20120223.2.mga2
+ Revision: 215122
- add mgaapplet (mgaonline) to the autostart script
- rename P0 to Mageia-preconfigured-desktop.patch
- add new suggestions and use the software against the Mageia default desktop:
  o GVolWheel (Volume Applet in the system tray)
  o pulseaudio-utils (to wrap GVolWheel and use it agaist PulseAudio)
  o wmsystemtray (System Tray)
  o wmudmount (Mounter using Gnome libraries)

* Fri Feb 24 2012 kamil <kamil> 0.95.3-0.snapshot20120223.1.mga2
+ Revision: 213661
- drop all sources except S0
- stop installing extra Window Maker icons
- fix patches
- drop Source8 WindowMaker-startwindowmaker and merge cleaned script into .spec
- make networkmanager-applet and drakconf suggested
- new version 0.95.3 (2012-02-23 snapshot)
- drop P1, P2, P3 - merged upstream
- stop making non-western users happy by changing fonts (no more need for this)
- rediff P3, add drakconf to the default configuration and nm-applet to autostart

* Sun Feb 19 2012 kamil <kamil> 0.95.2-12.mga2
+ Revision: 210633
- drop old WindowMaker-Galaxy.style.bz2 file and include it renamed (new name is Mageia.style) to windowmaker-themes
- edit startwindowmaker and load Mageia.style on the first start by default
- stop using %%config(noreplace) for /etc/* files for this package, these files needs to be rewritten and not configured by user

* Sat Feb 18 2012 kamil <kamil> 0.95.2-11.mga2
+ Revision: 210496
- drop old WindowMaker-data with pixmaps, it's not really needed (Fedora, Debian don't include it)

* Sat Feb 18 2012 kamil <kamil> 0.95.2-10.mga2
+ Revision: 210200
- switch from old Mdk/Mdv/Mga WMWindowAttributes to the upstream one

* Sat Feb 18 2012 kamil <kamil> 0.95.2-9.mga2
+ Revision: 210195
- drop unused WindowMaker-Terminal

* Sat Feb 18 2012 kamil <kamil> 0.95.2-8.mga2
+ Revision: 210190
- stop using old Mageia (from Mandrake/Mandriva times) WMState
- use upstream WMState with some of the old behaviour thanks to P3 patch-WMState-to-use-old-Mageia-configuration.patch

* Sat Feb 18 2012 kamil <kamil> 0.95.2-7.mga2
+ Revision: 210154
- drop Mageia WMGLOBAL and use upstream one (they are nearly the same)

* Sat Feb 18 2012 kamil <kamil> 0.95.2-6.mga2
+ Revision: 210147
- use upstream /etc/X11/WindowMaker/WindowMaker configuration

* Fri Feb 17 2012 kamil <kamil> 0.95.2-5.mga2
+ Revision: 209912
- include P2 stop-using-old-X11R6-directory.patch switch from /usr/X11R6 to /usr

* Fri Feb 17 2012 kamil <kamil> 0.95.2-4.mga2
+ Revision: 209901
- include fix-paths-in- P1 fix-paths-in-german-plmenu.patch to fix hardcoded '/home/mawa'

* Fri Feb 17 2012 kamil <kamil> 0.95.2-3.mga2
+ Revision: 209878
- include P0 mga-install-missing-man-pages.patch to install all missing and forgotten man pages

* Thu Feb 16 2012 kamil <kamil> 0.95.2-2.mga2
+ Revision: 209858
- drop WindowMaker-0.80.1-man-pages.tar.bz2 it's merged upstream (in doc/)

* Wed Feb 15 2012 kamil <kamil> 0.95.2-1.mga2
+ Revision: 209167
- new version 0.95.2
- replace '%%rename' with 'Obsoletes'

* Sat Feb 11 2012 kamil <kamil> 0.95.1-1.mga2
+ Revision: 207137
- new version 0.95.1

* Sat Jan 14 2012 kamil <kamil> 0.95.0-3.mga2
+ Revision: 195883
- fix plmenu.de
- fix LINGUAS and change it to determine languages dynamically
- enable xrandr in configure

* Fri Jan 13 2012 kamil <kamil> 0.95.0-2.mga2
+ Revision: 195469
- drop wmCalClock which was built-in and change it into an external dependency

* Thu Jan 12 2012 kamil <kamil> 0.95.0-1.mga2
+ Revision: 195432
- drop fix-WPrefs-path-in-menus.patch and implement it univerally in a script in .spec
- fix installation text in WindowMaker-wmaker.inst
- fix preparation of menu.pl in .spec script
- update VERSION to 0.95.0 in WindowMaker-wmaker.inst
- replace Mandriva with Mageia in WindowMaker-menumethod
- fix Obsoletes&Provides and use %%rename macro
- drop applications-menu.patch
- add script in .spec to fix universally all menu (no plmenu) files for all languages
- remove %%doc before man-pages
- remove NET_WM_NAME.patch, dropped in Debian (Debian maintainer is developing windowmaker)

* Thu Jan 12 2012 kamil <kamil> 0.95.0-0.mga2
+ Revision: 195085
- new version
- package name changed from WindowMaker to windowmaker
- spec cleaning

* Sun Sep 11 2011 fwang <fwang> 0.94.0-2.mga2
+ Revision: 142394
- drop empty section
- rebuild for new libpng

* Sat Jul 09 2011 cjw <cjw> 0.94.0-1.mga2
+ Revision: 120985
- add BuildRequires: libxmu-devel
- update to crm windowmaker 0.94.0+ git snapshot
- patch22: accept _NET_WM_MOVERESIZE events (without actually doing anything)
  to workaround apparently broken gtk+3 behavior
- drop patches 10, 11, 12, 14, 15, 16, 17, 18, 19, 20 - fixed upstream
- drop static library packages
- drop libtool libraries
- rename libWindowMaker to libwings

* Thu Jun 30 2011 cjw <cjw> 0.92.0-28.mga2
+ Revision: 116991
- generate applications menu in post if it doesn't exist yet

* Thu Jun 30 2011 cjw <cjw> 0.92.0-27.mga2
+ Revision: 116229
- add empty user.menu to fix applications submenu
+ ahmad <ahmad>
- revert make_session commit, this is supposed to be handled by filetriggers
  (from Anssi)
- add patch to fix WPrefs path in the menus
- %%make_session is evaluated to %%nil, use %%make_dm_session instead

* Wed Feb 23 2011 ahmad <ahmad> 0.92.0-26.mga1
+ Revision: 57488
- drop old/unneeded scriptlets
- require mageia-theme
- imported package WindowMaker


* Tue Feb 15 2011 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.92.0-24mdv2011.0
+ Revision: 637851
- Require xdg-compliance-menu (moved from desktop-common-data)

* Mon Sep 28 2009 Olivier Blin <oblin@mandriva.com> 0.92.0-23mdv2010.0
+ Revision: 450403
- use autoreconf (from Arnaud Patard)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.92.0-22mdv2010.0
+ Revision: 416608
- rebuilt against libjpeg v7

* Thu May 21 2009 Christiaan Welvaart <spturtle@mandriva.org> 0.92.0-21mdv2010.0
+ Revision: 378321
- fix arguments order in format patch
- add changes from CVS, taken from fedora
  o fixes QT4 menu problem (bug #50255)

  + Christophe Fergeau <cfergeau@mandriva.com>
    - run libtoolize before building to update libtool files to the latest version
    - add patch to fix wformat errors

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.92.0-20mdv2009.1
+ Revision: 300996
- rebuilt against new libxcb

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.92.0-19mdv2009.0
+ Revision: 194806
- Fix #39677. Thanks to Carlos R. Mafra for the patch and analysis of
  the problem.

* Mon Mar 31 2008 Antoine Ginies <aginies@mandriva.com> 0.92.0-18mdv2008.1
+ Revision: 191244
- use the /etc/menu.d directory to store the WM's script to generate the xdg menu

* Thu Mar 27 2008 Antoine Ginies <aginies@mandriva.com> 0.92.0-17mdv2008.1
+ Revision: 190613
- fix empty Application menu

* Thu Feb 28 2008 Paulo Andrade <pcpa@mandriva.com.br> 0.92.0-16mdv2008.1
+ Revision: 176383
- Bump release for submit as release 15 is stuck in build system.
- Attempt to fix failure to upload package by renaming menu file to
  package name, as this is the only difference with a package that seems
  to work.
- Install menu in %%{_menudir}, not in %%{_sysconfdir}/menu.d.
- This patch fixes a nasty bug switching virtual consoles when the
  Composite extension is enabled but default depth is not 24.
- Fix "Reduce Window Maker wakeups to zero" (#37978)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 24 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.92.0-14mdv2008.1
+ Revision: 111794
- increase release number
- fix stdout redirection
- remove debian menu support
- package all menu files from upstream
- also patch german and french menu files for xdg menu

  + Thierry Vignaud <tv@mandriva.org>
    - fix URL

* Mon Nov 19 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.92.0-12mdv2008.1
+ Revision: 110555
- put the XDG menu in menu.xdg and include it from the WindowMaker applications menu

* Mon Sep 24 2007 Adam Williamson <awilliamson@mandriva.org> 0.92.0-11mdv2008.0
+ Revision: 92660
- rebuild to restore libwraster3, which seems to have gone AWOL
- new -devel policy
- minor cleanups to old conditionals and requirements
- new license policy

* Mon May 28 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.92.0-10mdv2008.0
+ Revision: 31957
- fix buildrequires
- patch12: fix handling of setWorkspaceSpecificBack configuration item
- Import WindowMaker




* Thu Aug 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.92.0-9mdv2007.0
- fix buggy requires for libproplist for x86_64
- fix mklibification on x86_64
- fix abuse of prereq (not justified by %%post)
- fix requires-on-release
- misc other rpmlint fixes (I didn't fix the
  update-menus-without-menu-file-in-%%post{,un} errors because they might be
  needed in order to run the newly installed WM menu method)

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.92.0-8mdv2007.0
- Allow package to be installed on 2007.0, don't ship old menu method 
  for 2007.0 and later

* Thu Jul 27 2006 Jerome Soyer <saispo@mandriva.org> 0.92.0-7mdv2007.0
- Fix startwindomaker script
- Close #23616

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.92.0-5mdk
- Add patch11: fix compile on x86_64

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.92.0-4mdk
- Don't use Mandrake (Bug found by Helene Durosini)

* Sat Aug 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.92.0-3mdk
- fix buildrequires (upstream used automake 1.4)

* Mon Aug 01 2005 Guillaume Bedot <littletux@mandriva.org> 0.92.0-2mdk
- thanks to Udo Rader: use --with-gnustepdir for a correct Wprefs.app 
 location, and reenable mmx asm  with SuSE patch (Patch10).
- removed %%_datadir/WPrefs/ from packaged files (no more file in there)
- use mkrel

* Sun Jul 31 2005 Guillaume Bedot <littletux@mandriva.org> 0.92.0-1mdk
- New release 0.92.0
- disabled mmx asm
- added %%_datadir/WPrefs/ to packaged files
- removed WPrefs.app (no more there...)

* Mon Apr 18 2005 Giuseppe Ghibò <ghibo@mandriva.com> 0.91.0-6mdk
- Fix for X86-64.

* Tue Mar 22 2005 Matthias Debus <psic4t@netbands.de> 0.91.0-5mdk
- sanitize requires
- add conflicts: libwraster2

* Fri Jan 13 2005 Matthias Debus <psic4t@netbands.de> 0.91.0-4mdk
- patch0: fix NET_WM_NAME property

* Fri Dec 10 2004 Matthias Debus <psic4t@netbands.de> 0.91.0-3mdk
- change menu encoding to UTF-8 (Thanks to Michael Scherer!)
- use Sans font in WM default themes to make non-western users happy
- Galaxy theme: Use switch panel image

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.91.0-2mdk
- fix the WPrefs.app location before the build

* Thu Nov 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.91.0-1mdk
- fix WPrefs.app location
- disable parrallel build (broken for now)
- Matthias Debus <psic4t@netbands.de>:
  o new version
  o relocate in /usr
  o remove WMMail from core package
  o set NLSDIR in startwindowmaker script and remove locale patch
  o remove all old patches (merged)
  o Source22: provide WMGLOBAL file to use system standard font in WINGs
  o Galaxy theme: use system standard font
  o remove wm_mdk_dir/WindowMaker (clueless)
  o spec file cleanup

* Mon Sep 13 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040826.2mdk
- fix WPrefs location in default menu

* Thu Aug 31 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040826.1mdk
- new snapshot from wm2 branch
- fixes #9697
- remove patches 2-7 (NETWM support): merged

* Wed Aug 04 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040627.6mdk
- change Mandrakelinux.png -> default.png in Galaxy theme

* Wed Aug 04 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040627.5mdk
- update Galaxy theme to use new path to Mandrakelinux wallpaper

* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 0.90.0-0.4cvs20040627.4mdk
- use correct Requires on mandrakelinux-theme

* Fri Jul 02 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040627.3mdk
- really remove CJK style

* Fri Jul 01 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040627.2mdk
- patch12: don't crash with 16-bit color depth (fixes bug #10145)
- use ImageMagick to convert icons
- only ship with Galaxy and default themes (remove CJK style)

* Thu Jul  1 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.90.0-0.4cvs20040627.1mdk
- snapshot 20040627.
- merge stable and devel spec file.

* Fri Jun 18 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.90.0-0.4cvs20040502.4mdk
- re-add BuildRequires: libPropList-devel
- use specific versions of autotools

* Tue May 18 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040502.3mdk
- convert more icons to png (WM standard and WM-data)
- remove WindowMaker-extras from sources list (not used)
- no rpmlint errors anymore (use mklibname macro)
- remove libPropList requirement

* Wed May 12 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040502.2mdk
- patch10: make localisation working
- patch11: reduce minimize animation speed on fast boxes or with kernel 2.6

* Fri May 07 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.4cvs20040502.1mdk
- From Christiaan Welvaart <cjw@daneel.dyndns.org>:
	- new snapshot
	- patch9: Try to fix xlib in WMMail
	- replace cd's by popd/pushd
- patches 2-7: enable NETWM2 support (removed old NETWM patch)
- make rpmlint happier (use configure macro)
- make guys at windowmaker.org happier (clearer cvs version naming)
- requires libwraster
- change default WMMail config (fixes bug #4473)
- add xvt argument passing (fixes bug #457)
- adjust workspace display fontsize in Galaxy theme
- set NLSDIR to /usr/share (but localisation still isn't working)

* Sat Apr 24 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.90.0-0.3mdk
- patch7: add basic NETWM (gnome2) support

* Wed Apr 21 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.2mdk
- make new Galaxy theme the default 
	- needs bitstream vera fonts
	- changes in startwindowmaker script
	- use setstyle for default theme
- patch8: vera fonts (not arial) in WINGs apps
- disable NETWM support (patch7; not working)
- patch1 (zh locale fix): backed out (needs to be regenerated) 
- patch2 (window levels): removed (merged)
- patch3 (windows switch menu): backed out (merged/buggy) 
- patch4 (single WINGs): removed (merged)
- patch6 (xinerama fixes): removed (merged)
- remove some non-existant icon/pixmap paths
- change some icons in WMWindowAttributes

* Tue Apr 13 2004 Matthias Debus <psic4t@netbands.de> 0.90.0-0.1mdk
- new cvs snapshot with XFT support (yes!)
- back out patch1,2,3,4 and 6: need to be regenerated
- patch7 - enable NETWM2 support

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.80.2-5mdk
- Fix buildrequires

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.80.2-4mdk
- rebuild

* Wed Jan 21 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.80.2-2mdk
- English correction of menu entry (proofreading by Stew Benedicts)

* Tue Nov 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.80.2-1mdk
- new release
- remove patch 7 (merged upstream)

* Tue Nov 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.80.1-2mdk
- source 20 : add new man pages : WPrefs.1x.bz2, WindowMaker.1x.bz2
- patch 2 : fix some invalid pointer dereferences
- patch 3 : fix windows list window / windows switch
- patch 4 : ensure simple WINGs
- patch 5 : add autoscale option
- patch 6 : fix some xinerama bugs
- patch 7 : fix buffer overflow

* Fri Jul 12 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.80.1-2mdk
- %%lang non english man pages

* Tue Jul 02 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.80.1-1mdk
- new release
- add source Url
- regenerate configure (IF needed)
- require newer mandrake_desk
- fix zh translation (patch1)

* Thu Feb 28 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.80.0-5mdk
- Really don't depend on aterm (sorry for the missing fix).

* Wed Feb 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.80.0-4mdk
- Use xvt so we don't explicitly depend on aterm.
- Put the libwraster la file in -devel.

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.80.0-3mdk
- Fix description length
- Do not modify _prefix macro
- Replace Wine with Red Wine entry (to prevent translation errors with Wine package)

* Thu Jan 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.80.0-2mdk
- further spec clean

* Wed Jan 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.80.0-1mdk
- sanitize macros use
- new release

* Tue Dec  4 2001 Stefan van der Eijk <stefan@eijk.nu> 0.70.0-2mdk
- Removed %%dir %%_pixdir/ (owned by filesystem)
- Removed redundant BuildRequires

* Tue Nov 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.70.0-1mdk
- 0.70.0
- various rpmlint fixes (Titi)
- s!wundowmaker!windowmaker!g (Titi)
- s!windowmkaer!windowmaker!g (Titi)

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.65.1-6mdk
- rebuild against new libpng

* Tue Oct 02 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.1-5mdk
- Fix Provides/Requires/PreReq
- Clean spec
- Remove old KDE support
- Move static libraries in static-devel packages
- Put includes in right packages
- Solve locales inclusion problem

* Wed Aug 29 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.65.1-4mdk
- switched to manual dependencies to avoid depending upon gnome-libs
- the default paths for icons and pixmaps in WPrefs.app/Paths.c has been
  altered to reflect our own locations
- added --enable-shm
- removed executable flag from source 4 8 10 to make rpmlint happy
- added the 48x48 menu icon

* Fri Aug 24 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.65.1-3mdk
- added a symlink for wmCalClock so that old conf will not be broken
- added two alternative rpms with or without gnome/kde  

* Wed Aug 08 2001 HA Quôc-Viêt <viet@mandrakesoft.com> 0.65.1-2mdk
- nothing much, I have added scaled and tiled modes for the background picture
  in /usr/lib/menu/WindowMaker

* Wed Aug 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.1-1mdk
- 0.65.1
- Changed background color
- Close bug #2325

* Wed Jun 20 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.65.0-4mdk
- add ia64 compliant

* Fri Jun 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-3mdk
- Add Conflicts: tag to stop "Rebuild to replace packages lost by crazy bot" song

* Tue Jun 05 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-2mdk
- Rebuild to replace packages lost by crazy bot

* Fri May 18 2001 David BAUDENS <baudens@mandrakesoft.com> 0.65.0-1mdk
- 0.65.0

* Sun Apr 15 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-8mdk
- Display WMMail applet only if /var/spool/mail/$USER exist and is readable
- Add missing locales for WMPrefs

* Thu Apr 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-7mdk
- Rebuild to replace packages lost by crazy bot

* Mon Mar 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.64.0-6mdk
- rebuild to get a binary RPM in Cooker

* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-5mdk
- BuildRequires: egcs for architectures which don't use GCC-2.95.3 as
  default compiler

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-4mdk
- Rebuild to have packages lost by crazy bot

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-3mdk
- Fix crash when X run in 16 bit (buggy, buggy gcc...)

* Mon Feb 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-2mdk
- Re-upload 0.64.0 replaced by crazy bot
- Merge Alex DU modifications for Chinese

* Mon Feb 12 2001 David BAUDENS <baudens@mandrakesoft.com> 0.64.0-1mdk
- 0.64.0

* Tue Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 0.63.1-1mdk
- 0.63.1

* Thu Feb 08 2001 Alex DU <dxiaoming@mandrakesoft.com> 0.62.1-21mdk
- Add support for CJK (multibytes chars) user.
- Add a new theme Default.CJK.style and make change of WindowMaker-wmaker.inst.

* Wed Dec 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-20mdk
- Libdification

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-19mdk
- Build with glibc-2.2 & gcc-2.96

* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-18mdk
- Make auto-login happy

* Thu Aug 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-17mdk
- Fix wmsession

* Wed Aug 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-16mdk
- Fix "I kill the X server"

* Sun Aug 13 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-15mdk
- New clock (wmCalClock)
- New config files
- Modify Window Maker specific menu entries
- Spec clean up
- Patch for wmsetbg
- Add Packager tag
- New wmsession support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-14mdk
- automatically added BuildRequires

* Fri May 12 2000 dam's <damien@mandrakesoft.com> 0.62.1-13mdk
- corrected workspace menus.

* Wed May 10 2000 dam's <damien@mandrakesoft.com> 0.62.1-12mdk
- corrected wmaker.inst text script

* Tue May 09 2000 dam's <damien@mandrakesoft.com> 0.62.1-11mdk
- corrected wmaker test script.

* Mon May  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.62.1-10mdk
- remove asclock which conflicts with AfterStep-APPS
- added url

* Tue May  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.62.1-9mdk
- really add menu support

* Fri Apr 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-8mdk
- added fndSession call

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix wmconfig crash

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-6mdk
- Requires mandrake_desk >= 1.0.3-9mdk

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-5mdk
- Add the binary :/ and put it in the right PATH

* Fri Apr 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-4mdk
- Relocate in /usr/X11R6
- Menu support
- Fix crazy obsoletes

* Thu Apr 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.62.1-3mdk
- fix a very old bug : when ~/GNUstep doesn't exists, exec wmaker.inst
  else the end user won't be able to launch WindowMaker

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-2mdk
- Split in 2 packages (devel & normal)
- Fix Group

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.1-1mdk
- 0.62.1

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 0.62.0-1mdk
- 0.62.0
- Release for impatients
- Use new Groups
- Use %%{_tmppath} for BuildRoot

* Sun Mar 05 2000 David BAUDENS <baudens@mandrakesoft.com> 0.61.1-17mdk
- Fix duplicate screen saver
- French translations and adapatations

* Wed Jan 05 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-16mdk: new icon
- 0.61.1-15mdk: back to /usr for some directories 
- 0.61.1-14mdk: fix PATH in /etc/X11/WindowMaker 
- 0.61.1-13mdk: fix a typo in WMDrake
- 0.61.1-12mdk: requires mandrake_desk >= 1.0.1-11mdk

* Tue Jan 04 2000 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61.1-11mdk: new icon
- 0.61.1-10mdk: better MandrakeSoft customization

* Mon Jan 03 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Enable WMDrake
- Fix typos

* Mon Dec 27 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix display version

* Tue Dec 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix WMDrake

* Wed Dec 15 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Cleanup spec
- Back to original sources
- (Re) Fix cpp problem

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build release

* Tue Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add some apps in wmdrake

* Fri Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Initial wmdrake

* Fri Nov 20 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 0.61
- Add some patches from package of Ryan Weaver <ryanw@infohwy.com>

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Various patch syncronised with package from Ryan Weaver <ryanw@infohwy.com>
- Added diff from cvs 'WindowMaker-0.61.0-19990922cvs.diff.bz2'
- fixes seg fault at exit among other things including the following.
- fixed problem with window shortcut assignment from the menu
- fixed problem with fonts in WINGs (Masahide -mac- NODA
- WindowMaker-0.61.0-po.patch.bz2

* Tue Sep 21 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.61.0
- fix compilation
- redo Mandrake adaptions

* Tue Jul 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description from Gregus <gregus@etudiant.net>
- fix a typo

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update URL.

* Mon May 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix include problem with /usr/bin/cpp (need /lib/cpp).

* Sat May 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake Adaptations.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- fixed up default config (dock was empty...)

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- version 0.52.0

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- fixed problem with running wmaker.inst in batch mode (forgot comma)

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- fixed icon problems
- run wmaker.inst in batch mode if no ~/GNUstep/Library/WindowMaker dir exists

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- requires cpp

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Cristian Gafton <gafton@redhat.com>
- make sure we get the full distribution
- run ldconfig in the post script

* Mon Feb 15 1999 The Rasterman <raster@redhat.com>
- added gnome winhints areas support fix.

* Tue Feb 02 1999 Cristian Gafton <gafton@redhat.com>
- version 0.51.0
